import static org.junit.Assert.*;

import org.junit.Test;

public class TestEquazioni {

	@Test
	public void test() {
		assertEquals(Equazioni.numSolutions(-5, -5, 0), 2);
		
		assertEquals(Equazioni.numSolutions(-5, 0, 0), 1);
		
		assertEquals(Equazioni.numSolutions(20, -5, 20), 0);
	}

}
